---
updatedAt: 2026-02-20T00:00:06.000Z
agentTools:
  projectIndex: https://docs.skipify.com/llms.txt
---

# Create Merchant Configs - Checkout Customizations

Use these endpoints to set checkout customizations

<HTMLBlock>{`
<style>
.App {
  --font-family: 'poppins', 'helvetica';
}
</style>
`}</HTMLBlock>

> 👍 This endpoint uses API Key Authentication
>
> Check out our [API Key Authentication Section](https://docs.skipify.com/docs/api-authentication-api-key) section to learn more

To Add Merchant Configurations to a Skipify Merchant Account, send an API call to:

> **Staging**: `POST https://merchants.staging.skipify.com/merchants/{merchantId}/configs`
>
> **Production**: `POST https://merchants.skipify.com/merchants/{merchantId}/configs`

# Create Merchant Branding Config

Use this configuration to set the merchant's `display name` for shoppers if different than their business (DBA) name, and/or a logo.

# Request Body Parameters

| Parameter Name | Required | Type    | Description/Value                                     |
| :------------- | :------- | :------ | :---------------------------------------------------- |
| name           | yes      | string  | MERCHANT\_BRANDING                                    |
| enabled        | yes      | boolean | true                                                  |
| value          | yes      | object  | An object containing the merchant branding parameters |

## Value Body Parameters

| Parameter Name            | Required | Type       | Description/Value                                                                         |
| :------------------------ | :------- | :--------- | :---------------------------------------------------------------------------------------- |
| displayName               | no       | string     | Name you want displayed to shoppers for this merchant if different than the business Name |
| logoSrc                   | no       | string/URL | A valid URL where the merchant logo can be accessed                                       |
| useLogoForPurchaseDetails | no       | boolean    | Display the logo for purchase details or not.                                             |

## Request Body Example

```json JSON Request Example
{
  "name": "MERCHANT_BRANDING",
  "enabled": true,
  "value": {
    "displayName": "string", // Optional
    "logoSrc": "string", // Optional should be a valid URL
    "useLogoForPurchaseDetails": boolean // Optional
  }
}
```

# API Response

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        Is this Config enabled?
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The name of this Config, i.e. - "MERCHANT_BRANDING"
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        An object containing the merchant branding parameters
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The type of config this is, i.e. "Checkout"
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        The UniqueId for this configuration
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-03T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "MERCHANT_BRANDING",
  "value": {
    "displayName": "The Best Business",
    "logoSrc": "https://url.com",
    "useLogoForPurchaseDetails": true
  },
  "type": "checkout",
  "configId": "string",
  "merchantId": "string",
  "createdAt": "2024-05-25T17:02:24.240Z",
  "updatedAt": "2024-05-25T17:02:24.240Z"
}
```

# Create Terms Links Config

Use this configuration to set links (URLs) to the merchant's specific Privacy Policy, Terms and Conditions and Terms of Use if applicable.

# Request Body Parameters

| Parameter Name | Required | Type    | Description/Value                               |
| :------------- | :------- | :------ | :---------------------------------------------- |
| name           | yes      | string  | TERMS\_LINKS                                    |
| enabled        | yes      | boolean | true                                            |
| value          | yes      | object  | An object containing the Terms Links parameters |

## Value Body Parameters

| Parameter Name               | Required | Type   | Description/Value                               |
| :--------------------------- | :------- | :----- | :---------------------------------------------- |
| privacyPolicy \{"url": }     | no       | string | The URL for the merchant's Privacy Policy       |
| termsAndConditions \{url": } | no       | string | The URL for the merchant's Terms and Conditions |
| termsOfUse \{"url": }        | no       | string | The URL for the merchant's Terms of Use         |

*Note*: The links require approval by Skipify once configured before they will take effect.  Please contact your Skipify Implementation Engineer if setting Terms Links so approval can be completed appropriately. Once the manual review has been completed,

## Request Body Example

```json JSON Request Example
{
  "name": "TERMS_LINKS",
  "enabled": true,
  "value": {
    "privacyPolicy": { // Optional
      "url": "string" // Should be a valid URL
    },
    "termsAndConditions": { // Optional
      "url": "string" // Should be a valid URL
    },
    "termsOfUse": { // Optional
      "url": "string" // Should be a valid URL
    }
  }
}
```

# API Response

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        object
      </td>

      <td>
        The values of terms links
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        the Id of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex:  
        `2024-06-02T21:48:02Z
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex:  
        `2024-06-02T21:48:02Z
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration
      </td>
    </tr>
  </tbody>
</Table>

## Value Body Parameters

| Parameter Name                                   | Type       | Description/Value                             |
| :----------------------------------------------- | :--------- | :-------------------------------------------- |
| privacyPolicy, termsOfUse, or termsandConditions | string     | Name of the specific configuration            |
| url                                              | string/URI | The URI where the specific terms are accessed |
| enabled                                          | boolean    | is the Config enabled?                        |
| complianceStatus                                 | string     | PENDING or APPROVED\*                         |

*Skipify will manually review terms links configurations for compliance, once they have been approved, the enabled flag will update from false to true and the compliance status on the configuration will update from PENDING to APPROVED*

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "TERMS_LINKS",
  "value": {
    "privacyPolicy": {
      "url": "string",
      "enabled": false,
      "complianceStatus": "PENDING"
    },
    "termsOfUse": {
      "url": "string",
      "enabled": false,
      "complianceStatus": "PENDING"
    },
    "termsAndConditions": {
      "url": "string",
      "enabled": false,
      "complianceStatus": "PENDING"
    }
  },
  "configId": "a4e8e802-fy0d-4240-b62f-13703c6f4f3f",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:31:07.336Z",
  "updatedAt": "2024-06-10T20:31:07.336Z",
  "type": "checkout"
}
```

# Create Disallow Cart Edits Config

Use this configuration to prevent shoppers from editing their cart quantity within the Skipify experience.

# Request Body Parameters

| Parameter Name | Required | Type    | Description/Value     |
| :------------- | :------- | :------ | :-------------------- |
| name           | yes      | string  | DISALLOW\_CART\_EDITS |
| enabled        | yes      | boolean | true                  |
| value          | yes      | boolean | true                  |

**Note**\* - This Configuration is set if you do not want to allow the Shopper to edit their cart after the Skipify modal has been triggered.

## Request Body Example

```json JSON Request Example
{
  "name": "DISALLOW_CART_EDITS",
  "enabled": true,
  "value": true
}
```

# API Response

## Response Body Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        enabled
      </td>

      <td>
        boolean
      </td>

      <td>
        The current status of the configuration
      </td>
    </tr>

    <tr>
      <td>
        name
      </td>

      <td>
        string
      </td>

      <td>
        The Name of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        value
      </td>

      <td>
        boolean
      </td>

      <td>
        The Value of the Configuration
      </td>
    </tr>

    <tr>
      <td>
        type
      </td>

      <td>
        string
      </td>

      <td>
        The Type of configuration
      </td>
    </tr>

    <tr>
      <td>
        configId
      </td>

      <td>
        string
      </td>

      <td>
        the Id of this configuration
      </td>
    </tr>

    <tr>
      <td>
        merchantId
      </td>

      <td>
        string
      </td>

      <td>
        The Skipify Merchant Identifier
      </td>
    </tr>

    <tr>
      <td>
        createdAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The created date/time for this configuration  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>

    <tr>
      <td>
        updatedAt
      </td>

      <td>
        string, dateTime
      </td>

      <td>
        The date/time this configuration was last updated  
        Ex: `2024-06-02T21:48:02Z`
      </td>
    </tr>
  </tbody>
</Table>

### Response Body Example

```json JSON Response Example
{
  "enabled": true,
  "name": "DISALLOW_CART_EDITS",
  "value": true,
  "type": "cart",
  "configId": "4b15e298-a3e3-4437-9ca7-a122f654cde1",
  "merchantId": "264b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:52:15.141Z",
  "updatedAt": "2024-06-10T20:52:15.141Z"
}
```